diff -pruN 20240601.001-1/Changes 20240615.002-1/Changes
--- 20240601.001-1/Changes	2024-06-01 20:15:35.000000000 +0000
+++ 20240615.002-1/Changes	2024-06-15 15:58:21.000000000 +0000
@@ -1,5 +1,12 @@
 Revision history for Perl extension CPAN-Audit
 
+20240615.002 2024-06-15T15:57:57Z
+	* update the POSIX::2008 advisories
+
+20240615.001 2024-06-15T05:41:25Z
+	* Data update for 2024-06-15
+	* Added advisory for POSIX::2008 (briandfoy/cpan-security-advisory#154)
+
 20240601.001 2024-06-01T20:15:25Z
 	* data update for 2024-06-01
 
diff -pruN 20240601.001-1/META.json 20240615.002-1/META.json
--- 20240601.001-1/META.json	2024-06-01 20:15:36.000000000 +0000
+++ 20240615.002-1/META.json	2024-06-15 15:58:22.000000000 +0000
@@ -65,6 +65,6 @@
          "web" : "https://github.com/briandfoy/cpan-audit"
       }
    },
-   "version" : "20240601.001",
+   "version" : "20240615.002",
    "x_serialization_backend" : "JSON::PP version 4.16"
 }
diff -pruN 20240601.001-1/META.yml 20240615.002-1/META.yml
--- 20240601.001-1/META.yml	2024-06-01 20:15:35.000000000 +0000
+++ 20240615.002-1/META.yml	2024-06-15 15:58:22.000000000 +0000
@@ -36,5 +36,5 @@ resources:
   bugtracker: https://github.com/briandfoy/cpan-audit/issues
   homepage: https://github.com/briandfoy/cpan-audit
   repository: https://github.com/briandfoy/cpan-audit
-version: '20240601.001'
+version: '20240615.002'
 x_serialization_backend: 'CPAN::Meta::YAML version 0.018'
diff -pruN 20240601.001-1/debian/changelog 20240615.002-1/debian/changelog
--- 20240601.001-1/debian/changelog	2024-06-04 16:05:24.000000000 +0000
+++ 20240615.002-1/debian/changelog	2024-06-16 19:38:10.000000000 +0000
@@ -1,3 +1,9 @@
+libcpan-audit-perl (20240615.002-1) unstable; urgency=medium
+
+  * Import upstream version 20240615.002.
+
+ -- gregor herrmann <gregoa@debian.org>  Sun, 16 Jun 2024 21:38:10 +0200
+
 libcpan-audit-perl (20240601.001-1) unstable; urgency=medium
 
   * Import upstream version 20240601.001.
diff -pruN 20240601.001-1/lib/CPAN/Audit/DB.pm 20240615.002-1/lib/CPAN/Audit/DB.pm
--- 20240601.001-1/lib/CPAN/Audit/DB.pm	2024-06-01 20:15:35.000000000 +0000
+++ 20240615.002-1/lib/CPAN/Audit/DB.pm	2024-06-15 15:58:21.000000000 +0000
@@ -1,12 +1,12 @@
-# created by util/generate at Sat Jun  1 16:14:49 2024
-# cpan-security-advisory 37c93d1820eafc4fc2cc9745262d0cc8306da21d
+# created by util/generate at Sat Jun 15 11:27:18 2024
+# cpan-security-advisory +9e85f92e6030f0dd38e068cf1eba5b9ae1492f75
 #
 package CPAN::Audit::DB;
 
 use strict;
 use warnings;
 
-our $VERSION = '20240601.001';
+our $VERSION = '20240615.002';
 
 sub db {
 	{
@@ -4710,6 +4710,10 @@ sub db {
                                                   {
                                                     'date' => '2024-03-18T12:10:48',
                                                     'version' => '4.64'
+                                                  },
+                                                  {
+                                                    'date' => '2024-06-04T15:15:17',
+                                                    'version' => '4.65'
                                                   }
                                                 ]
                                 },
@@ -11964,6 +11968,10 @@ sub db {
                                                            {
                                                              'date' => '2023-07-14T17:35:53',
                                                              'version' => '2.153'
+                                                           },
+                                                           {
+                                                             'date' => '2024-06-15T14:47:56',
+                                                             'version' => '2.154'
                                                            }
                                                          ]
                                          },
@@ -18361,6 +18369,10 @@ sub db {
                                                         {
                                                           'date' => '2024-05-01T09:04:33',
                                                           'version' => '5.005'
+                                                        },
+                                                        {
+                                                          'date' => '2024-06-04T19:59:44',
+                                                          'version' => '5.006'
                                                         }
                                                       ]
                                       },
@@ -36728,6 +36740,18 @@ sub db {
                                                      {
                                                        'date' => '2024-04-27T01:24:42',
                                                        'version' => '1.024_005'
+                                                     },
+                                                     {
+                                                       'date' => '2024-06-11T11:35:22',
+                                                       'version' => '1.024_006'
+                                                     },
+                                                     {
+                                                       'date' => '2024-06-12T09:58:08',
+                                                       'version' => '1.024_007'
+                                                     },
+                                                     {
+                                                       'date' => '2024-06-13T10:45:14',
+                                                       'version' => '1.024_008'
                                                      }
                                                    ]
                                    },
@@ -37328,6 +37352,42 @@ sub db {
                                                    {
                                                      'date' => '2022-05-09T21:07:41',
                                                      'version' => '1.06'
+                                                   },
+                                                   {
+                                                     'date' => '2024-06-02T18:49:17',
+                                                     'version' => '1.07'
+                                                   },
+                                                   {
+                                                     'date' => '2024-06-05T19:57:13',
+                                                     'version' => '1.10_01'
+                                                   },
+                                                   {
+                                                     'date' => '2024-06-08T19:49:17',
+                                                     'version' => '2.00_01'
+                                                   },
+                                                   {
+                                                     'date' => '2024-06-09T13:06:47',
+                                                     'version' => '2.00_02'
+                                                   },
+                                                   {
+                                                     'date' => '2024-06-09T15:41:33',
+                                                     'version' => '2.00_03'
+                                                   },
+                                                   {
+                                                     'date' => '2024-06-09T20:00:29',
+                                                     'version' => '2.00_04'
+                                                   },
+                                                   {
+                                                     'date' => '2024-06-10T07:25:19',
+                                                     'version' => '2.00_05'
+                                                   },
+                                                   {
+                                                     'date' => '2024-06-10T15:39:47',
+                                                     'version' => '2.00'
+                                                   },
+                                                   {
+                                                     'date' => '2024-06-15T11:55:22',
+                                                     'version' => '2.01_01'
                                                    }
                                                  ]
                                  },
@@ -49103,6 +49163,10 @@ sub db {
                                                       {
                                                         'date' => '2023-12-10T00:23:20',
                                                         'version' => '0.22'
+                                                      },
+                                                      {
+                                                        'date' => '2024-06-08T13:42:18',
+                                                        'version' => '0.23'
                                                       }
                                                     ]
                                     },
@@ -51403,6 +51467,153 @@ sub db {
                                                                 }
                                                               ]
                                               },
+                       'POSIX-2008' => {
+                                         'advisories' => [
+                                                           {
+                                                             'affected_versions' => '<0.04',
+                                                             'cves' => [],
+                                                             'description' => 'POSIX::2008\'s implementation of readlink() and readlinkat(). The underlying syscalls do not add any null terminator byte at the end of the output buffer, but _readlink50c() in 2008.XS also fails to add a null terminator before returning the result string to perl. This results in arbitrary memory contents being visible in the result returned to perl code by readlink() and readlinkat(). At the very least, this causes failures in any downstream code that attempts to access whatever filename (plus the erroneous garbage) was linked to.
+',
+                                                             'distribution' => 'POSIX-2008',
+                                                             'fixed_versions' => '>=0.04',
+                                                             'id' => 'CPANSA-POSIX-2008-001',
+                                                             'references' => [
+                                                                               'https://rt.cpan.org/Public/Bug/Display.html?id=96644'
+                                                                             ],
+                                                             'reported' => undef,
+                                                             'severity' => undef
+                                                           },
+                                                           {
+                                                             'affected_versions' => '<0.24',
+                                                             'cves' => [],
+                                                             'description' => 'Fixed potential env buffer overflow in _execve50c()
+',
+                                                             'distribution' => 'POSIX-2008',
+                                                             'fixed_versions' => '>=0.24',
+                                                             'id' => 'CPANSA-POSIX-2008-002',
+                                                             'references' => [
+                                                                               'https://metacpan.org/release/CGPAN/POSIX-2008-0.24/source/Changes'
+                                                                             ],
+                                                             'reported' => undef,
+                                                             'severity' => undef
+                                                           }
+                                                         ],
+                                         'main_module' => 'POSIX::2008',
+                                         'versions' => [
+                                                         {
+                                                           'date' => '2013-09-13T17:14:53',
+                                                           'version' => '0.01'
+                                                         },
+                                                         {
+                                                           'date' => '2013-09-14T16:20:56',
+                                                           'version' => '0.02'
+                                                         },
+                                                         {
+                                                           'date' => '2013-09-16T09:32:15',
+                                                           'version' => '0.03'
+                                                         },
+                                                         {
+                                                           'date' => '2015-05-25T13:51:17',
+                                                           'version' => '0.04'
+                                                         },
+                                                         {
+                                                           'date' => '2017-08-25T20:52:28',
+                                                           'version' => '0.05'
+                                                         },
+                                                         {
+                                                           'date' => '2017-08-26T17:21:09',
+                                                           'version' => '0.06'
+                                                         },
+                                                         {
+                                                           'date' => '2017-08-27T14:55:54',
+                                                           'version' => '0.07'
+                                                         },
+                                                         {
+                                                           'date' => '2017-08-31T18:14:24',
+                                                           'version' => '0.08'
+                                                         },
+                                                         {
+                                                           'date' => '2017-09-01T10:14:04',
+                                                           'version' => '0.09'
+                                                         },
+                                                         {
+                                                           'date' => '2017-09-02T09:15:21',
+                                                           'version' => '0.10'
+                                                         },
+                                                         {
+                                                           'date' => '2017-09-02T13:11:19',
+                                                           'version' => '0.11'
+                                                         },
+                                                         {
+                                                           'date' => '2017-09-03T20:02:26',
+                                                           'version' => '0.12'
+                                                         },
+                                                         {
+                                                           'date' => '2017-09-08T11:50:51',
+                                                           'version' => '0.13'
+                                                         },
+                                                         {
+                                                           'date' => '2017-09-09T18:04:53',
+                                                           'version' => '0.14'
+                                                         },
+                                                         {
+                                                           'date' => '2017-09-10T12:50:52',
+                                                           'version' => '0.15'
+                                                         },
+                                                         {
+                                                           'date' => '2017-09-15T14:59:53',
+                                                           'version' => '0.16'
+                                                         },
+                                                         {
+                                                           'date' => '2023-06-01T13:51:43',
+                                                           'version' => '0.18'
+                                                         },
+                                                         {
+                                                           'date' => '2023-07-07T13:52:59',
+                                                           'version' => '0.19'
+                                                         },
+                                                         {
+                                                           'date' => '2023-07-08T12:09:34',
+                                                           'version' => '0.20_01'
+                                                         },
+                                                         {
+                                                           'date' => '2023-07-09T08:25:58',
+                                                           'version' => '0.20_02'
+                                                         },
+                                                         {
+                                                           'date' => '2023-07-11T15:26:35',
+                                                           'version' => '0.20_03'
+                                                         },
+                                                         {
+                                                           'date' => '2023-07-12T17:47:09',
+                                                           'version' => '0.20_04'
+                                                         },
+                                                         {
+                                                           'date' => '2023-07-13T17:26:29',
+                                                           'version' => '0.20_05'
+                                                         },
+                                                         {
+                                                           'date' => '2023-07-14T15:57:30',
+                                                           'version' => '0.20'
+                                                         },
+                                                         {
+                                                           'date' => '2023-11-16T19:54:40',
+                                                           'version' => '0.21'
+                                                         },
+                                                         {
+                                                           'date' => '2024-01-26T16:30:56',
+                                                           'version' => '0.22'
+                                                         },
+                                                         {
+                                                           'date' => '2024-01-27T15:34:00',
+                                                           'version' => '0.23'
+                                                         },
+                                                         {
+                                                           'date' => '2024-06-14T12:10:38',
+                                                           'version' => '0.24'
+                                                         }
+                                                       ]
+                                       },
                        'Parallel-ForkManager' => {
                                                    'advisories' => [
                                                                      {
@@ -66841,6 +67052,14 @@ sub db {
                                                    {
                                                      'date' => '2024-05-24T20:45:21',
                                                      'version' => '5.040000'
+                                                   },
+                                                   {
+                                                     'date' => '2024-06-04T21:47:57',
+                                                     'version' => '5.040000'
+                                                   },
+                                                   {
+                                                     'date' => '2024-06-09T20:45:37',
+                                                     'version' => '5.040000'
                                                    }
                                                  ]
                                  },
@@ -69423,9 +69642,11 @@ sub db {
                              'Kelp::Response' => 'Kelp',
                              'Kelp::Routes' => 'Kelp',
                              'Kelp::Routes::Controller' => 'Kelp',
+                             'Kelp::Routes::Location' => 'Kelp',
                              'Kelp::Routes::Pattern' => 'Kelp',
                              'Kelp::Template' => 'Kelp',
                              'Kelp::Test' => 'Kelp',
+                             'Kelp::Util' => 'Kelp',
                              'Kossy' => 'Kossy',
                              'Kossy::Assets' => 'Kossy',
                              'Kossy::BodyParser' => 'Kossy',
@@ -70531,6 +70752,7 @@ sub db {
                              'POE::Filter::IRC' => 'POE-Component-IRC',
                              'POE::Filter::IRC::Compat' => 'POE-Component-IRC',
                              'POSIX' => 'perl',
+                             'POSIX::2008' => 'POSIX-2008',
                              'POSIX::SigAction' => 'perl',
                              'POSIX::SigRt' => 'perl',
                              'POSIX::SigSet' => 'perl',
diff -pruN 20240601.001-1/lib/CPAN/Audit/DB.pm.gpg 20240615.002-1/lib/CPAN/Audit/DB.pm.gpg
--- 20240601.001-1/lib/CPAN/Audit/DB.pm.gpg	2024-06-01 20:15:35.000000000 +0000
+++ 20240615.002-1/lib/CPAN/Audit/DB.pm.gpg	2024-06-15 15:58:21.000000000 +0000
@@ -1,16 +1,16 @@
 -----BEGIN PGP SIGNATURE-----
 
-iQIzBAABCAAdFiEEdaq0LLoNfzfw1oht+D+NXoeLYEEFAmZbgTkACgkQ+D+NXoeL
-YEGA5w//TgMtafMza1v2GDa2HovYn6jLatkf4BYl5jWIsAXkX3/li46Nfpnb/gST
-44lxt1IJ8Ev7UGpXrDO4X0ya1JyY8h7e/qYMP2zoIgjtF589tR43EicrAZ6eECbY
-3cYprz3xCbRVle6p0brdJk481JPRpES6Rx3aHKQSvzOFJkcfC3zBcUjUUxPJuHas
-nfbLUJ1hK3juvOIorJHFSt5nyfZoE/mwHksxmXHihsgWYGXlg6t/OfPz1xyXAZaG
-mfKDehAyMGbecaKAR0EiehXUONEa1ORXUt1IxrIHHI7kQ/RBnYihdxiqLGj9ZaHc
-WNPslSJXbFRNdZVrpEPLfHKFqqpKrKdUkin9cFDVU2uKVMTxpDPNlcHE+Gptnk2C
-oWDwBOE0iFfh4AhpEMmFTGX9QpfLMh17G5mAJO8s0pZj3m6h7Qegq8C0sbqYoiwv
-iciiw4+ryPP/mrK1rgCejLUxk2GSsu3cDyEvWRL0rRSJ7/RfHpFdZjWRbcCfWdTH
-x5/fPTWm1Fqapf6L4Na4h7khv4H/QkMsZ3Xne7dVAwUz/04d2NxT2bdfElZByn60
-R4VpaBNUPdy2CjTfL1+TJzXMN+TFIYeqqVR/HBxl4kTBIyc0Dkz9xuQoLHppZERc
-+1BvfwRvJWmeu/9gEUxcUXApH6soaJp+bsQjz4JlyZH6R/amFw0=
-=8oeN
+iQIzBAABCAAdFiEEdaq0LLoNfzfw1oht+D+NXoeLYEEFAmZttR4ACgkQ+D+NXoeL
+YEE6OBAAjkVW5FiKjL7j5YdNBtvNzamPie/4YFjXWrJffExsbdPNsx88p+hw70Jn
+eHeBmIWv/BEf+SW6NfpYFqvOvbzSUke0S2p8dDSn0NALCAL4Y/Ww4I+VbUXfxwUb
+/tfWcdZY2lcx89h3InCOfw46SUTsj8dKCSLFzaJM0WoHXT6eeWMRbrwBuGKrQRbX
+EXoirm0aGw8K8BQvqPxs8PV1ubEb3j9QyMfIzrLOVIU05fNA1JE9+82eoknEAUZl
+z0FH69buSjV3m2lKYv6wp1GZAfqPHYBDX1lub6dQgRGICXaOHfAEjgOlpSBMcuCG
+iVlsxnUTB1kpeXkLPgvB5rMBnxN3c+siUtmP5h+riui3Cg7CbyMQgK6MZFnTpYxp
+XnMDpWljQx1E1j38ur7TDx4r1tLZr2FD4TR5lXGUTdDlc07SSj4xMqBAOArNUhFo
+0oBhUzdPUKI4dRsBnjuR5tQWjUltbgFnVNAMR77f881U7UbW1yyE1GEUzjh4eomm
+1dtWnozVUv+yKsv8CXt0RURQ8nWBE//vHXY+mJM7W6BuHr0Hk4qe+bVQ7d7jKUzz
+Li0wP2q/3014S8cPFMj2/FhIKBSi5hXQSsETserDZpKSBEFVBgYC7cqWnQ9NwLyQ
+NjgJxBhsYPFZndhyn8UMbHFlZqfNtWuGx3hFdIeG8jF4lPnEegg=
+=JfJf
 -----END PGP SIGNATURE-----
diff -pruN 20240601.001-1/lib/CPAN/Audit.pm 20240615.002-1/lib/CPAN/Audit.pm
--- 20240601.001-1/lib/CPAN/Audit.pm	2024-06-01 20:15:35.000000000 +0000
+++ 20240615.002-1/lib/CPAN/Audit.pm	2024-06-15 15:58:21.000000000 +0000
@@ -14,7 +14,7 @@ use CPAN::Audit::Version;
 use CPAN::Audit::Query;
 use CPAN::Audit::DB;
 
-our $VERSION = '20240601.001';
+our $VERSION = '20240615.002';
 
 sub new {
 	my( $class, %params ) = @_;
